import react, { PureComponent } from 'react';
import { Select, Input, Icon } from 'antd';

const Option = Select.Option;

export default class SelectSearch extends PureComponent {
  handleChange = () => {
    console.log('changing...');
  }

  render() {
    return (
      <Select
        showSearch
        allowClear
        style={{ width: 200 }}
        placeholder="请选择人员"
        optionFilterProp="children"
        notFoundContent="无法找到"
        onChange={() => this.handleChange()}
      >
          <Option value="jack">张贺</Option>
          <Option value="lucy">露西</Option>
          <Option value="tom">汤姆</Option>
          <Option value="jack1">张贺</Option>
          <Option value="lucy1">露西</Option>
          <Option value="tom1">汤姆</Option>
          <Option value="jack2">张贺</Option>
          <Option value="jack3">张贺</Option>
          <Option value="jack4">张贺</Option>
          <Option value="lucy13">露西</Option>
          <Option value="tom2">汤姆</Option>
          <Option value="lucy2">露西</Option>
          <Option value="tom3">汤姆</Option>
          <Option value="lucy3">露西</Option>
          <Option value="tom4">汤姆</Option>
      </Select>
    );
  }
}
